Zonemaster::Logger::Entry(3pm)

NAME
Zonemaster::Logger::Entry - module for single log entries

SYNOPSIS
    Zonemaster->logger->add( TAG => { some => 'arguments' });

There should never be a need to create a log entry object in isolation. They should always be associated with and created via a logger object.

CLASS METHODS

levels
    Returns a hash where the keys are log levels as strings and the corresponding values their numeric value.

start_time_now()
    Set the logger's start time to the current time.

ATTRIBUTES

module
    An auto-generated identifier of the module that created the log entry. If it was generated from a module under Zonemaster::Test, it will be an uppercased version of the part of the name after "Zonemaster::Test". For example, "Zonemaster::Test::Basic" gets the module identifier "BASIC". If the entry was generated from anywhere else, it will get the module identifier "SYSTEM".

tag The tag that was set when the entry was created.

args
    The argument hash reference that was provided when the entry was created.

timestamp
    The time after the current program started running when this entry was created. This is a floating-point value with the precision provided by Time::HiRes.

trace
    A partial stack trace for the call that created the entry. Used to create the module tag. Almost certainly not useful for anything else.

METHODS

string
    Simple method to generate a string representation of the log entry. Overloaded to the stringification operator.

printable_args
    Used to transform data from an internal/JSON representation to a "user friendly" representation one.

numeric_level
    Returns the log level of the entry in numeric form.